- NAME
- SYNOPSIS
- DESCRIPTION
- METHODS
  - Describe
  - Prepare

# NAME

RT::Search::Simple

# SYNOPSIS

        rt-crontool --search RT::Search::Simple \
            --search-arg "23" \
            --action RT::Action \
            --verbose \
            --log debug

# DESCRIPTION

The Simple search performs a ticket search using the same mechanism as the "Simple Search" web UI.

It expects one Argument which is a string representing the search term. The behavior varies a bit depending on RT configuration and user preference, check out ticket "Simple Search" page that contains syntax and behavior details.

When running with a command-line utility such as rt-crontool, you may need to apply shell escapes or make other format changes to correctly pass special characters through the shell.

# METHODS

## Describe

Returns a localized string describing the module's function.

## Prepare

Runs a simple search on the associated RT::Tickets object, using the string provided in the Argument.

The search is performed in the context of the user running the command. For rt-crontool searches, this is the RT::User account associated with the Linux account running rt-crontool via the "Unix login" setting.

← Back to index